Get Creative Template
Why Get a Creative Template?
If you would like to retrieve information and details about a specific creative template that is part of your network, the Kevel API enables you to return this information using the Get Creative Template API endpoint. Making an API call to this endpoint, and specifying the CreativeTemplateID, returns the creative template object.
API Syntax
When using the Get Creative Template API endpoint, it is important to understand the syntax required to make the request. Because the Kevel API is a RESTful API, there is a specific request format that must be followed to ensure the endpoint can process the request. The format is:
GET https://api.kevel.co/v2/creative-templates/{CreativeTemplateID}
Where:
GET- the type of API request being made.https://api.kevel.co- the URL for the request.v1- the API version.creative-templates- the API endpoint being called.CreativeTemplateID- the ID associated with the creative template you are trying to retrieve.
CreativeTemplateID
Type: int32
Required: true
The ID from the Create Creative Templates Endpoint
Response Example
{
"Id": 12345,
"Description": "Template Description",
"Name": "Template Name v1",
"IsArchived": false,
"Fields": [
{
"Name": "Title",
"Description": "The Template Title",
"Type": "String",
"Variable": "ctTitle",
"Required": true
},
{
"Name": "Thumbnail",
"Description": "The URL of a Thumbnail Image",
"Type": "String",
"Variable": "ctThumbnailUrl",
"Required": false
}
],
"Contents": [
{
"Type": "Raw",
"Body": '{"title": "{{ctTitle}}", "thumbnailUrl": "{{ctThumbnailUrl}}"}'
}
]
}
Updated 10 months ago